# Bdd Class Reference

Classe principalement statique servant d'intermédiaire avec la BDD. More...

List of all members.

## Static Public Member Functions

static String | getIP ()
| Accesseur pour l'IP de la dernière tentative de connexion à la bdd.
static String | getSchema ()
| Accesseur pour le schéma de la dernière tentative de connexion à la bdd.
static String | getUser ()
| Accesseur pour le nom de l'utilisateur de la dernière tentative de connexion à la bdd.
static String | getPassword ()
| Accesseur pour le mdp utilisé à la dernière tentative de connexion à la bdd.
static void | connect (String sIPb, String sSchemab, String sUserb, String sPasswordb) throws Exception
static void | close ()
| Ferme la connexion MySQL.
static boolean | getIsConnected ()
| Renvoie 1 si la l'application est connectée à la BDD.
static ArrayList< ListRow > | generateCatList ()
static ArrayList< ListRow > | generateGroupList (String sCat)
static ArrayList< ListRow > | generateQuestionList (String sGrpID)
static ArrayList< ListRow > | generateAnsList (String sGrpID)
static String | getGroupAns0ByID (String sID)
static String | getGroupAns1ByID (String sID)
static int | getQuestionAns (String sIDQuestion)
static void | removeCat (String sID)
static void | removeGroup (String sID)
static void | removeQuestion (String sID)
static void | updateCat (String sID, String sName)
static void | updateGroup (String sID, String sCat, String sAns0, String sAns1)
static void | updateQuestion (String sID, String sGroupID, String sQuest, String sGoodAns)
static void | insertDefaultCatRow ()
static void | insertDefaultGroupRow (String sCat)
static void | insertDefaultQuestionRow (String sGroupID)

## Detailed Description

Classe principalement statique servant d'intermédiaire avec la BDD.

## Member Function Documentation

static void Bdd.close | ( |  | ) | `[static]`

Ferme la connexion MySQL.

static void Bdd.connect | ( | String | sIPb,
|  | String | sSchemab,
|  | String | sUserb,
|  | String | sPasswordb |
| ) |  |  | throws Exception `[static]`

Connecte la BDD au serveur MySQL donné

Warning:
  Stocke les paramètres utilisé dans la classe, même si la connexion à échouée

Returns:
  1 si connecté, 0 si la connexion à échouée

Parameters:

  | sIPb | l'IP de la bdd
  | sSchemab | le schéma utilisé par la bdd
  | sUserb | l'utilisateur ayant accès la table burgerquizz
  | sPasswordb | le mot de passe à utiliser

Exceptions:

  | propage | l'exception générée par la tentative de connexion MySQL

static ArrayList<ListRow> Bdd.generateAnsList | ( | String | sGrpID | ) | `[static]`

Génère une liste contenant les réponses possibles d'un groupe donnée, tirées de la BDD

Parameters:

  | sGrpID | valeur de la colonne id de la table group

Returns:
  ladite liste

static ArrayList<ListRow> Bdd.generateCatList | ( |  | ) | `[static]`

Génère une liste contenant les catégories tirées de la BDD

Returns:
  ladite liste

static ArrayList<ListRow> Bdd.generateGroupList | ( | String | sCat | ) | `[static]`

Génère une liste contenant les groupes d'une catégorie donnée, tirés de la BDD

Parameters:

  | sCat | valeur de la colonne nom de la table categorie

Returns:
  ladite liste

static ArrayList<ListRow> Bdd.generateQuestionList | ( | String | sGrpID | ) | `[static]`

Génère une liste contenant les questions d'un groupe donnée, tirées de la BDD

Parameters:

  | sGrpID | valeur de la colonne id de la table group

Returns:
  ladite liste

static String Bdd.getGroupAns0ByID | ( | String | sID | ) | `[static]`

retourne la 1ere réponse possible dans un groupe donné, tirées de la BDD

Parameters:

  | sID | valeur de la colonne id de la table group

Returns:
  le texte de la reponse0

static String Bdd.getGroupAns1ByID | ( | String | sID | ) | `[static]`

retourne la 2de réponse possible dans un groupe donné, tirées de la BDD

Parameters:

  | sID | valeur de la colonne id de la table group

Returns:
  le texte de la reponse1

static String Bdd.getIP | ( |  | ) | `[static]`

Accesseur pour l'IP de la dernière tentative de connexion à la bdd.

static boolean Bdd.getIsConnected | ( |  | ) | `[static]`

Renvoie 1 si la l'application est connectée à la BDD.

static String Bdd.getPassword | ( |  | ) | `[static]`

Accesseur pour le mdp utilisé à la dernière tentative de connexion à la bdd.

static int Bdd.getQuestionAns | ( | String | sIDQuestion | ) | `[static]`

retourne la réponse correcte de la question, tirées de la BDD

Parameters:

  | sIDQuestion | valeur de la colonne id de la table question

Returns:
  0, 1, 2 respectivement pour reponse0, reponse1, les deux

static String Bdd.getSchema | ( |  | ) | `[static]`

Accesseur pour le schéma de la dernière tentative de connexion à la bdd.

static String Bdd.getUser | ( |  | ) | `[static]`

Accesseur pour le nom de l'utilisateur de la dernière tentative de connexion à la bdd.

static void Bdd.insertDefaultCatRow | ( |  | ) | `[static]`

Ajoute une catégorie par défaut

Note:
  le nom de la catégorie est 'Nouvelle cat.'

static void Bdd.insertDefaultGroupRow | ( | String | sCat | ) | `[static]`

Ajoute un groupe par défaut dans la catégorie identifiée par sCat

Note:
  le nom du nouveau groupe est 'RéponseA/RéponseB'

Parameters:

  | sCat | valeur de la colonne nom de la table categorie

static void Bdd.insertDefaultQuestionRow | ( | String | sGroupID | ) | `[static]`

Ajoute un groupe par défaut dans la catégorie identifiée par sCat

Note:
  le nom du nouveau groupe est 'RéponseA/RéponseB'

Parameters:

  | sGroupID | valeur de la colonne id de la table group

static void Bdd.removeCat | ( | String | sID | ) | `[static]`

Supprime la catégorie identifiée par son ID

Warning:
  Supprime aussi tous les group et les question associés via OnDeleteCascade (via MySQL)

Parameters:

  | sID | valeur de la colonne nom de la table categorie de la catégorie à supprimer

static void Bdd.removeGroup | ( | String | sID | ) | `[static]`

Supprime le groupe identifié par son ID

Warning:
  Supprime aussi toutes les question associés via OnDeleteCascade (via MySQL)

Parameters:

  | sID | valeur de la colonne id de la table group du groupe à supprimer

static void Bdd.removeQuestion | ( | String | sID | ) | `[static]`

Supprime la question identifiée par son ID

Warning:
  cohérence de la BDD : il est préférable que personne n'ai répondu à cette question via le site

Parameters:

  | sID | valeur de la colonne id de la table question de la question à supprimer

static void Bdd.updateCat | ( | String | sID,
|  | String | sName |
| ) |  |  | `[static]`

Modifie la catégorie identifiée par sID

Parameters:

  | sID | valeur de la colonne nom de la table categorie de la catégorie à modifier
  | sName | nouveau nom à attribuer

static void Bdd.updateGroup | ( | String | sID,
|  | String | sCat,
|  | String | sAns0,
|  | String | sAns1 |
| ) |  |  | `[static]`

Modifie le groupe identifiée par sID

Parameters:

  | sID | valeur de la colonne id de la table group du groupe à modifier
  | sCat | nom de la catégorie dans laquelle classer le groupe
  | sAns0 | 1ere réponse possible
  | sAns1 | 2de réponse possible

static void Bdd.updateQuestion | ( | String | sID,
|  | String | sGroupID,
|  | String | sQuest,
|  | String | sGoodAns |
| ) |  |  | `[static]`

Modifie la question identifiée par sID

Parameters:

  | sID | valeur de la colonne id de la table question de la question à modifier
  | sGroupID | Groupe auquel appartient la question
  | sQuest | Intitulé de la question Bonne réponse (0, 1, ou 2 pour reponse1, reponse1, les deux)

The documentation for this class was generated from the following file:

- /media/data/ProjWeb/Java/Bdd.java